@import url('https://fonts.googleapis.com/css2?family=Work+Sans:wght@300;400;600&display=swap');

/* FIXING FONT RENDERING */
body {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-family: 'Work Sans', sans-serif;
}

/* TYPOGRAPHY */
h2 {
    font-weight: 600;
    font-size: 1.25rem;
}

.rz-table-SiteID th {
    font-weight: 600;
}

/* GLOBAL COLORS */
.rz-table-title {
    background-color: #e9ecef;
    padding: 10px;
}

.rz-table-title h5 {
    margin: 0;
}

.rz-bg-light {
    background-color: #fff;
}

.rz-bodyContent .uk-search {
    margin-top: 20px;
}

/* LOGIN */
.rz-wallpaper {
    background-color: #252F3F;
}

.rz-card {
    width: 350px;
}

/* NAVIGATION */
.rz-logo {
    max-width: 50px;
}

.rz-logo-title {
    line-height: 1;
}

.nav {
    background-color: #FFFFFF;
}

.rz-nav-menu {
    margin-top: 40px;
}

.rz-nav-menu a {
    color: #9EA6B2;
}

.rz-nav-menu a:hover {
    color: #fff;
}

.rz-strip {
    list-style-type: none;
    padding: 0;
}

.rz-strip li {
    display: inline;
    margin: 0 5px;
}

/* DASHBOARD */
main {
    background-color: #F4F5F7;
}

.rz-bodyContent {
    padding: 10px;
}

/* TABLE */
.uk-table th {
    vertical-align: top;
}

.uk-table td {
    font-size: 0.875rem;
}

.card-dashboard {
    padding: 8px 40px;
}

.card-dashboard .uk-card-header {
    padding: 10px 40px;
}

.card-dashboard .uk-card-body {
    padding: 20px 40px;
}

.card-dashboard p {
    margin: 0;
}

.card-dashboard .text-count {
    font-size: 2rem;
    font-weight: 900;
}

.card-dashboard .text-desc {
    font-size: 1rem;
    font-weight: 600;
}

/* LINKS & BUTTON */
a,
.uk-link {
    color: #4B6081;
    text-decoration: none;
    cursor: pointer;
}

a:hover,
.uk-link:hover,
.uk-link-toggle:hover .uk-link,
.uk-link-toggle:focus .uk-link {
    color: #4B6081;
    text-decoration: underline;
}

.uk-button-primary {
    background-color: #4B6081;
}

.uk-button-primary:hover,
.uk-button-primary:focus {
    background-color: #161D2E;
}

.uk-button-secondary {
    background-color: #252F3F;
}

/* RESPONSIVE EMBEDS */
.rz-fluid-video {
    position: relative;
    padding-bottom: 56.25%;
    /* 16:9 */
    padding-top: 25px;
    height: 0;
}

.rz-fluid-video iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.rz-fluid-maps {
    overflow: hidden;
    padding-bottom: 56.25%;
    position: relative;
    height: 0;
}

.rz-fluid-maps iframe {
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    position: absolute;
}

p.rz-display::after {
    content: "mobile";
}

@media (min-width: 640px) {
    p.rz-display::after {
        content: "small";
    }
}

@media (min-width: 960px) {
    p.rz-display::after {
        content: "medium";
    }
}

@media (min-width: 1200px) {
    p.rz-display::after {
        content: "large";
    }

    .rz-card {
        width: 450px;
        /* SPLIT LAYOUT */
    }

    #sideContent {
        position: fixed;
        left: 0;
        top: 0;
        bottom: 0;
        overflow-x: hidden;
        overflow-y: auto;
        background-color: dimgrey;
        width: 240px;
        z-index: 2;
        transition: height 0.3s ease-out;
        background-color: #252F3F;
    }

    #mainContent {
        margin-left: 240px;
        min-height: 99vh;
    }

    .rz-bodyContent {
        padding: 20px;
    }
}

@media (min-width: 1600px) {
    p.rz-display::after {
        content: "extra large";
    }
}
